summaryrefslogtreecommitdiff
path: root/tools/bisect-create
diff options
context:
space:
mode:
authorMichael Niedermayer <michaelni@gmx.at>2012-07-07 14:49:44 +0200
committerMichael Niedermayer <michaelni@gmx.at>2012-07-07 14:51:51 +0200
commitdadfd2a525bb8d6be4fe7bef8d803efa10371f3a (patch)
tree422c6576c48049132c1f2e1eadf04c21c6b69324 /tools/bisect-create
parent6de70d7fbf21db32ddad571a3104b89d38d98bb6 (diff)
tools/bisect: rename to tools/bisect-create
Idea-by: Alexander Strasser Signed-off-by: Michael Niedermayer <michaelni@gmx.at>
Diffstat (limited to 'tools/bisect-create')
-rwxr-xr-xtools/bisect-create42
1 files changed, 42 insertions, 0 deletions
diff --git a/tools/bisect-create b/tools/bisect-create
new file mode 100755
index 0000000000..6442b5cbe3
--- /dev/null
+++ b/tools/bisect-create
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+set -e
+
+if test "bisect-create" = "`basename $0`" ; then
+ echo tools/ffbisect created
+ git show master:tools/bisect-create > tools/ffbisect
+ chmod u+x tools/ffbisect
+ exit 1
+fi
+
+if ! git show master:tools/bisect-create | diff - tools/ffbisect > /dev/null ; then
+ echo updating tools/ffbisect script to HEAD.
+ git show master:tools/bisect-create > tools/ffbisect
+ chmod u+x tools/ffbisect
+ tools/ffbisect $*
+ exit 0
+fi
+
+case "$1" in
+ need)
+ case $2 in
+ ffmpeg|ffplay|ffprobe|ffserver)
+ echo $2.c >> tools/bisect.need
+ ;;
+ esac
+ ;;
+ start|reset)
+ echo . > tools/bisect.need
+ git bisect $*
+ ;;
+ skip)
+ git bisect $*
+ ;;
+ good|bad)
+ git bisect $*
+
+ until ls `cat tools/bisect.need` > /dev/null 2> /dev/null; do
+ git bisect skip || break
+ done
+ ;;
+esac